package ink.wgink.module.file.media.pojo.vos.video;

import ink.wgink.module.file.media.pojo.vos.MediaVO;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: VideoVO
 * @Description: 视频
 * @Author: WangGeng
 * @Date: 2021/6/9 23:10
 * @Version: 1.0
 **/
public class VideoVO extends MediaVO {

    private String keyframe;
    private Long duration;
    private Integer width;
    private Integer height;
    private Integer bitRate;
    private String encoder;
    private Float frameRate;
    private Long audioDuration;
    private Integer audioBitRate;
    private Long audioSampleRate;

    public String getKeyframe() {
        return keyframe == null ? "" : keyframe.trim();
    }

    public void setKeyframe(String keyframe) {
        this.keyframe = keyframe;
    }

    public Long getDuration() {
        return duration;
    }

    public void setDuration(Long duration) {
        this.duration = duration;
    }

    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    public Integer getHeight() {
        return height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    public Integer getBitRate() {
        return bitRate;
    }

    public void setBitRate(Integer bitRate) {
        this.bitRate = bitRate;
    }

    public String getEncoder() {
        return encoder == null ? "" : encoder.trim();
    }

    public void setEncoder(String encoder) {
        this.encoder = encoder;
    }

    public Float getFrameRate() {
        return frameRate;
    }

    public void setFrameRate(Float frameRate) {
        this.frameRate = frameRate;
    }

    public Long getAudioDuration() {
        return audioDuration;
    }

    public void setAudioDuration(Long audioDuration) {
        this.audioDuration = audioDuration;
    }

    public Integer getAudioBitRate() {
        return audioBitRate;
    }

    public void setAudioBitRate(Integer audioBitRate) {
        this.audioBitRate = audioBitRate;
    }

    public Long getAudioSampleRate() {
        return audioSampleRate;
    }

    public void setAudioSampleRate(Long audioSampleRate) {
        this.audioSampleRate = audioSampleRate;
    }
}
