package ink.wgink.module.file.media.task.transcoding;

import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingDeque;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: VideoTransCodingManager
 * @Description: 视频转码
 * @Author: wanggeng
 * @Date: 2021/6/10 9:46 上午
 * @Version: 1.0
 */
public class VideoTransCodingManager {

    private static VideoTransCodingManager VIDEO_TRANS_CODING_MANAGER = VideoTransCodingManagerBuilder.videoTransCodingManager;
    private ThreadPoolExecutor threadPoolExecutor = new ThreadPoolExecutor(2, 10, 30L, TimeUnit.SECONDS, new LinkedBlockingDeque<>());

    private VideoTransCodingManager() {}



    private static class VideoTransCodingManagerBuilder {
        public static VideoTransCodingManager videoTransCodingManager = new VideoTransCodingManager();
    }

}
